View Issue Details

IDProjectCategoryView StatusLast Update
0002741WishesPlugins API.Editorpublic2014-07-24 10:38
ReporterJohnDoeAssigned ToDrKnS 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002741: ECTL_CLEARSESSIONBOOKMARKS приводит к падению
DescriptionОдна из возможных последовательностей, приводящих к падению:
Steps To Reproducelocal F=far.Flags
editor.Editor("0",nil,0,0,-1,-1,bit64.bor(F.EF_NONMODAL,F.EF_CREATENEW,F.EF_IMMEDIATERETURN))

BM.Add()
BM.Clear()
BM.Del()
Additional InformationТо же самое при использовании плагинового АПИ
editor.AddSessionBookmark ()
editor.ClearSessionBookmarks ()
editor.DeleteSessionBookmark ()
TagsNo tags attached.
Build4016

Activities

vskirdin

2014-07-21 17:39

administrator   bugnote:0012770

editor.cpp

case MCODE_F_BM_DEL:
{
  auto i = PointerToSessionBookmark((int)iParam - 1);
  return DeleteSessionBookmark(i);
}

PointerToSessionBookmark()
{
  auto Result = SessionPos; << Здесь SessionPos кривой


bool Editor::DeleteSessionBookmark(bookmark_list::iterator sb_delete)
{
  if (sb_delete == SessionBookmarks.end()) << Упали
    return false;

DrKnS

2014-07-22 21:16

administrator   bugnote:0012777

4016

JohnDoe

2014-07-23 12:41

updater   bugnote:0012779

Порядок

Issue History

Date Modified Username Field Change
2014-07-20 13:48 JohnDoe New Issue
2014-07-21 17:39 vskirdin Note Added: 0012770
2014-07-22 21:16 DrKnS Note Added: 0012777
2014-07-22 21:16 DrKnS Assigned To => DrKnS
2014-07-22 21:16 DrKnS Status new => feedback
2014-07-23 12:41 JohnDoe Note Added: 0012779
2014-07-23 12:41 JohnDoe Status feedback => assigned
2014-07-24 10:38 vskirdin Build => 4016
2014-07-24 10:38 vskirdin Status assigned => closed
2014-07-24 10:38 vskirdin Resolution open => fixed
2014-07-24 10:38 vskirdin Fixed in Version => 3.0